Bug 494236 - Mirrored image in HP Webcam
Mirrored image in HP Webcam
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 18:20 EDT by Igor Pires Soares
Modified: 2009-04-09 13:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 13:04:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Pires Soares 2009-04-05 18:20:14 EDT
Description of problem:
When using Cheese, Ekiga or other software the webcam image displayed is mirrored.

Version-Release number of selected component (if applicable):
kernel-2.6.27.21-170.2.56.fc10.i686
Also tested with Fedora 11 Beta.

How reproducible:
Always

Steps to Reproduce:
Use Cheese or Ekiga, for instance.
  
Additional info:
HP Pavilion dv4
Smolt profile: http://www.smolts.org/show?uuid=pub_f0983f0a-c3df-45a1-a7ef-a254d46243d3

dmesg excerpt:
Linux video capture interface: v2.00
uvcvideo: Found UVC 1.00 device HP Webcam  (046d:09b8)
uvcvideo: UVC non compliance - GET_DEF(PROBE) not supported. Enabling workaround.
input: HP Webcam  as /devices/pci0000:00/0000:00:1d.7/usb2/2-5/2-5:1.0/input/input11
usbcore: registered new interface driver uvcvideo
USB Video Class driver (v0.1.0)
Comment 1 Chuck Ebbert 2009-04-08 10:40:05 EDT
There are reports of this from Windows users too. Maybe it's a "feature"?
Comment 2 Hans de Goede 2009-04-08 10:54:26 EDT
(In reply to comment #0)
> Description of problem:
> When using Cheese, Ekiga or other software the webcam image displayed is
> mirrored.
> 

Can you be a bit more verbose? When you raise your right hand, do you see
the cheese image also raise its right hand (so to you as viewer of your own
image the hand to the left of your head on the image), or do you
see the hand raise to the right of the head in the image, as if looking in a mirror ?
Comment 3 Igor Pires Soares 2009-04-08 22:47:26 EDT
(In reply to comment #1)
> There are reports of this from Windows users too. Maybe it's a "feature"?  

I haven't tested it with Windows. Searching at Google I found some Windows users complaining about something similar in specific programs, but doesn't seem a common issue for HP webcams.
Comment 4 Igor Pires Soares 2009-04-08 23:03:27 EDT
(In reply to comment #2)
> Can you be a bit more verbose? When you raise your right hand, do you see
> the cheese image also raise its right hand (so to you as viewer of your own
> image the hand to the left of your head on the image), or do you
> see the hand raise to the right of the head in the image, as if looking in a
> mirror ?  

I am sorry I wasn't clear enough.

The image isn't actually like a mirror. It is horizontally flipped (I guess this description is more accurate). It is more like the first case you described. If I use the cheese "Horizontal Flip" effect I get the right image.
Comment 5 Hans de Goede 2009-04-09 02:41:11 EDT
(In reply to comment #4)
> (In reply to comment #2)
> > Can you be a bit more verbose? When you raise your right hand, do you see
> > the cheese image also raise its right hand (so to you as viewer of your own
> > image the hand to the left of your head on the image), or do you
> > see the hand raise to the right of the head in the image, as if looking in a
> > mirror ?  
> 
> I am sorry I wasn't clear enough.
> 
> The image isn't actually like a mirror. It is horizontally flipped (I guess
> this description is more accurate). It is more like the first case you
> described. If I use the cheese "Horizontal Flip" effect I get the right image.  

If it is like the first case, then everything is working fine, it is a camera,
imagine sitting behind the screen looking at yourself, if you then raise your right hand, to the other you behind the screen that will be the hand on (his) left side. Or as they say on Dutch television to my right, for the viewers at home to the left, you see..

You can easily check this by holding up a piece of paper with some LARGE text
on it. If you can read it normally the camera is behaving as it should.
Comment 6 Igor Pires Soares 2009-04-09 11:05:35 EDT
I guess you're right, although I saw other webcams behaving differently, this makes sense. I did the text test and it is all fine. Anyway, thanks for the support!

Note You need to log in before you can comment on or make changes to this bug.